import { Base, Type } from "igniteui-angular-core";
import { ISupportSetProperty } from "./ISupportSetProperty";
import { CT_GeoDataEntityQuery } from "./CT_GeoDataEntityQuery";
import { CT_GeoData } from "./CT_GeoData";
import { ElementPropertyIds } from "./ElementPropertyIds";
/**
 * @hidden
 */
export declare class CT_GeoDataEntityQueryResult extends Base implements ISupportSetProperty {
    static $t: Type;
    private d;
    private b;
    constructor();
    c: CT_GeoDataEntityQuery;
    a: CT_GeoData;
    setProperty(a: ElementPropertyIds, b: any): void;
    toString(): string;
}
